
ChiliProject - Task # 55: Redirect domains to www.chiliproject.org

Status: Closed Priority: Normal
Author: Eric Davis Category: ChiliProject - Organization
Created: 2011-01-12 Assignee: Eric Davis
Updated: 2011-01-17 Due date:
Remote issue URL:
Description: All of the held domains and "chiliproject.org" should be setup to 301 redirect to "www.chiliproject.org"

History
2011-01-12 03:11 pm - Eric Davis
- Target version set to Public Launch

2011-01-13 12:37 am - Felix Schäfer
Any specific reason for having the canonic address be www? I try to avoid it where I can.

2011-01-17 11:17 am - Holger Just
- Status deleted ()

I setup a new virtual host in @/etc/apache2/sites-enabled/000-default@ which is a catch-all virtual host. So everything which is not gathered by any 
other virtual host is handled by this one.

It then just redirects every request to @https://www.chiliproject.org/$1@ via HTTP 301.

@all: Please confirm that this is enough and close or amend the issue accordingly.

2011-01-17 03:29 pm - Eric Davis
- Assignee changed from Muntek Singh to Eric Davis

- Status set to In Progress

This will conflict with the work I'm doing in #50. Moonshine automatically sets all of that up, I was manually editing the configuration to debug the 
symlink error.

This is why I like to use moonshine, all of the edits are tracked and we aren't conflicting with each other.

2011-01-17 09:44 pm - Eric Davis
- Status changed from In Progress to Closed

I stopped working on the staging server and just added this to the production server.

This rewrite rule is in the main host's configuration in moonshine (ssl/vhost_extra) and will redirect all pages to the HTTPS www .org version (comments 
mine):

<pre>
    RewriteEngine On
    RewriteCond %{HTTP_HOST} !^www.chiliproject.org$ [NC]       # All hosts that aren't https://www.chiliproject.org...
    RewriteRule ^(.*)$ https://www.chiliproject.org$1 [R=301,L] # ...redirect to https://www.chiliproject.org
</pre>
